<?php

namespace Drupal\Tests\commerce_favorites\Kernel;

use Drupal\Tests\commerce_order\Kernel\OrderKernelTestBase;

/**
 * Provides a base class for Favorites kernel tests.
 */
abstract class FavoritesKernelTestBase extends OrderKernelTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'commerce_favorites',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->installEntitySchema('commerce_favorites_item');
    $this->installEntitySchema('commerce_favorites');
    $this->installConfig(['commerce_favorites']);
  }

}
