<?php

namespace Drupal\commerce_favorites;

use Drupal\commerce\CommerceContentEntityStorage;
use Drupal\commerce\PurchasableEntityInterface;

/**
 * Defines the favorites item storage.
 */
class FavoritesItemStorage extends CommerceContentEntityStorage implements FavoritesItemStorageInterface {

  /**
   * {@inheritdoc}
   */
  public function createFromPurchasableEntity(PurchasableEntityInterface $entity, array $values = []) {
    $values += [
      'type' => $entity->getEntityTypeId(),
      'purchasable_entity' => $entity,
    ];
    return self::create($values);
  }

}
