<?php

namespace Drupal\Tests\commerce_favorites\Functional;

use Drupal\Tests\commerce\Functional\CommerceBrowserTestBase;

/**
 * Defines base class for commerce_favorites test cases.
 */
abstract class FavoritesBrowserTestBase extends CommerceBrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'commerce_product',
    'commerce_favorites',
  ];

  /**
   * {@inheritdoc}
   */
  protected function getAdministratorPermissions() {
    return array_merge([
      'access commerce_favorites overview',
      'administer commerce_favorites',
      'administer commerce_product',
    ], parent::getAdministratorPermissions());
  }

}
